Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSJump

    java.lang.Object
      com.flagstone.transform.FSTransformObject
          com.flagstone.transform.FSActionObject
              com.flagstone.transform.FSJump

All Implemented Interfaces:
  java.lang.Cloneable

    public class FSJump

extends FSActionObject

The FSJump action performs an unconditional branch to control the actions executed by the Flash Player.

When executed the FSJump action adds an offset to the instruction pointer and execution of the stream of actions continues from that address.

Although the Flash Player contains an instruction pointer it does not support an explicit address space. The instruction pointer is used to reference actions within the current stream of actions being executed whether they are associated with a given frame, button or movie clip. The value contained in the instruction pointer is the address relative to the start of the current stream.

Attributes
type | Identifies the action when it is encoded. Read-only.
offset | The offset, relative to the current instruction pointer, to jump to.

The offset is a signed number allowing branches up to -32768 to 32767 bytes. The instruction pointer points to the next instruction so specifying an offset of zero will have no effect on the sequence of instructions executed.

     FSDoAction actions = new FSDoAction();

     actions.add(new FSJump(32));

# History

The FSJump class represents the ActionJump action of the Macromedia Flash (SWF) File Format Specification. It was introduced in Flash 4.

Field Summary

Fields inherited from class com.flagstone.transform.FSActionObject
`Call, ExceptionHandler, GetUrl, GetUrl2, GotoFrame, GotoFrame2, GotoLabel, If, Jump, length, NewFunction, NewFunction2, Push, RegisterCopy, SetTarget, Table, type, WaitForFrame, WaitForFrame2, With`

Constructor Summary
`FSJump(FSCoder coder)` Construct an FSJump object, initialising it with values decoded from an encoded object.
`FSJump(FSJump obj)` Constructs an FSJump object by copying values from an existing object.
`FSJump(int anOffset)` Constructs an FSJump action with the specified offset.

Method Summary
`void` | `appendDescription(java.lang.StringBuffer buffer, int depth)` AppendDescription is used to present a string description of the object including all nested objects up to a specified depth.
`void` | `decode(FSCoder coder)`
`void` | `encode(FSCoder coder)`
`boolean` | `equals(java.lang.Object anObject)` Returns true if anObject is equal to this one.
`int` | `getOffset()` Gets the offset that will be added to the instruction pointer.
`int` | `length(FSCoder coder)`
`void` | `setOffset(int anOffset)` Sets the offset to add to the instruction pointer.

Methods inherited from class com.flagstone.transform.FSActionObject
`getType, length`

Methods inherited from class com.flagstone.transform.FSTransformObject
`clone, name, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FSJump

    public FSJump(FSCoder coder)

  Construct an FSJump object, initialising it with values decoded from an encoded object.

  Parameters:
    `coder` - an FSCoder containing the binary data.

### FSJump

    public FSJump(int anOffset)

  Constructs an FSJump action with the specified offset. The offset must be in the range -32768..32767.

  Parameters:
    `anOffset` - the number of bytes to add to the instruction pointer.

### FSJump

    public FSJump(FSJump obj)

  Constructs an FSJump object by copying values from an existing object.

  Parameters:
    `obj` - an FSJump object.

Method Detail

### getOffset

    public int getOffset()

  Gets the offset that will be added to the instruction pointer.

  Returns:
    the number of bytes to add to the instruction pointer.

### setOffset

    public void setOffset(int anOffset)

  Sets the offset to add to the instruction pointer. The offset must be in the range -32768..32767.

  Parameters:
    `anOffset` - the number of bytes to add to the instruction pointer.

### equals

    public boolean equals(java.lang.Object anObject)

  Description copied from class: `FSActionObject`
  Returns true if anObject is equal to this one. Objects are considered equal if they would generate identical binary data when they are encoded to a Flash file.

  Overrides:
    `equals` in class `FSActionObject`
  Returns:
    true if this object would be identical to anObject when encoded.

### appendDescription

    public void appendDescription(java.lang.StringBuffer buffer,
                                  int depth)

  Description copied from class: `FSTransformObject`
  AppendDescription is used to present a string description of the object including all nested objects up to a specified depth. This method provide a more controlled way of creating a string representation of an object since large objects such as font or shape definitions can contain dozens of nested objects. The representation of the object is appended to the StringBuffer, showing the name of the class and values of the attributes it contains. If the object contains any attributes that are objects then the object graph will be traversed up to the specified depth. If objects are nested at a level less than specified depth then the full string representation of the object is displayed. For objects at the specified depth only the name of the class is displayed. Any objects below this depth are not displayed.

  Specified by:
    `appendDescription` in class `FSTransformObject`
  Parameters:
    `buffer` - a StringBuffer to which the description of each object is appended.
    `depth` - the maximum level of nesting up to which objects will be displayed.

### length

    public int length(FSCoder coder)

  Overrides:
    `length` in class `FSActionObject`

### encode

    public void encode(FSCoder coder)

  Overrides:
    `encode` in class `FSActionObject`

### decode

    public void decode(FSCoder coder)

  Overrides:
    `decode` in class `FSActionObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD